import * as React from 'react';
import {
  ThemeProvider as StyledThemeProvider,
  ThemeContext,
} from 'styled-components';
import { ProcoreTheme } from './theme';

export interface ProcoreThemeProviderProps {
  theme: ProcoreTheme;
  children: React.ReactChild;
}

export const ThemeProvider: React.FC<ProcoreThemeProviderProps> = (props) => {
  return <StyledThemeProvider {...props} />;
};

export const useTheme = () => {
  const theme = React.useContext<ProcoreTheme>(ThemeContext);
  return theme || {};
};
