export const shadows = {
  10: [
    ['-4px', '0px', '5px', '0px', 'rgba(112,112,112,.10)'],
  ],
  20: [
    ['0px', '1px', '2px', '0px', 'rgba(0,0,0,.20)'],
    ['0px', '1px', '3px', '0px', 'rgba(0,0,0,.10)'],
  ],
  30: [
    ['0px', '1px', '4px', '0px', 'rgba(40,40,40,.20)'],
    ['0px', '0px', '3px', '0px', 'rgba(40,40,40,.14)'],
    ['0px', '2px', '3px', '0px', 'rgba(40,40,40,.12)'],
  ],
  40: [
    ['0px', '3px', '6px', '0px', 'rgba(0,0,0,.23)'],
    ['0px', '3px', '6px', '0px', 'rgba(0,0,0,.16)'],
  ],
  50: [
    ['0px', '10px', '20px', '0px', 'rgba(0,0,0,.19)'],
    ['0px', '6px', '6px', '0px', 'rgba(0,0,0,.26)'],
  ]
};

export type Shadows = typeof shadows;
export type ShadowNames = keyof typeof shadows;

/**
 * Transforms a shadow into an string.
 */
export function toString(shadow: string[]) {
  return shadow.join(' ');
}

/**
 * Transforms multiple shadows into an string.
 */
export function shadowsToString(shadows: string[][]) {
  return shadows.map(toString).join(',');
}
