import { DefaultTheme } from 'styled-components';
import { colorPalettes, ColorPalette } from './colors';
import { spacing } from './spacing';
import { typographies } from './typography';
import { shadows, Shadows } from './shadows';

export interface ProcoreTheme extends DefaultTheme {
  palette: ColorPalette;
  spacing: typeof spacing;
  typographies: typeof typographies;
  shadows: Shadows;
}

export function createTheme(): ProcoreTheme {
  return {
    palette: colorPalettes,
    shadows,
    spacing,
    typographies,
  };
}
