import { grayColors, whiteColors, blueColors, redColors } from './colors'

export enum Weights {
  bold = '700',
  medium = '500',
  regular = '400',
};

export const typographies = {
  lg: {
    fontSize: '22px',
    lineHeight: '32px',
    letterSpacing: 0.15,
    weights: {
      medium: {
        fontWeight: Weights.medium,
        variants: {
          primary: grayColors[95],
          white: whiteColors[70],
        },
      },
    },
  },
  md: {
    fontSize: '16px',
    lineHeight: '24px',
    letterSpacing: 0.15,
    weights: {
      bold: {
        fontWeight: Weights.bold,
        variants: {
          primary: grayColors[95],
          white: whiteColors[70],
        },
      },
      regular: {
        fontWeight: Weights.regular,
        variants: {
          primary: grayColors[95],
          secondary: grayColors[75],
          tertiary: grayColors[60],
          white: whiteColors[70],
        },
      },
    }
  },
  sm: {
    fontSize: '14px',
    lineHeight: '20px',
    letterSpacing: 0.25,
    weights: {
      bold: {
        fontWeight: Weights.bold,
        variants: {
          primary: grayColors[95],
          secondary: grayColors[75],
          tertiary: grayColors[60],
          blue: blueColors[65],
          white: whiteColors[70],
        },
      },
      medium: {
        fontWeight: Weights.medium,
        variants: {
          primary: grayColors[95],
          secondary: grayColors[75],
          tertiary: grayColors[60],
        },
      },
      regular: {
        fontWeight: Weights.regular,
        variants: {
          primary: grayColors[95],
          secondary: grayColors[75],
          tertiary: grayColors[60],
          blue: blueColors[65],
          white: whiteColors[70],
          italicRed: redColors[70],
        },
      },
    },
  },
  xs: {
    fontSize: '12px',
    lineHeight: '16px',
    letterSpacing: 0.40,
    weights: {
      bold: {
        fontWeight: Weights.bold,
        variants: {
          primary: grayColors[95],
          tableHeader: grayColors[80],
          secondary: grayColors[75],
          tertiary: grayColors[60],
          white: whiteColors[70],
        },
      },
      regular: {
        fontWeight: Weights.regular,
        variants: {
          primary: grayColors[95],
          secondary: grayColors[75],
          tertiary: grayColors[60],
          blue: blueColors[65],
          white: whiteColors[70],
          italicSecondary: grayColors[75],
          italicWhite: whiteColors[70],
        },
      },
    },
  },
};
